• mkfs(): Can't create filesystem ext4


    Hi this is my first post here.

    I have been using Antergos successfully for at least 18 months on several machines and it has been my favorite distro for some time. I have had a few update issues that have caused the need to reinstall in the past and the latest was the issue with ‘readline’ race condition which has been discussed elsewhere.

    The problem I have has been with cnchi on a fresh USB x64 iso. I have updated the installer manually as suggested elsewhere to stop the ‘loading package list’ error and also the keyring was outdated and pacman complained of bad packages all fixed with:

    $sudo pacman -Syy antergos-keyring
    $sudo pacman -S cnchi
    this updated to cnchi 0.12.24
    then when run through several times I find the installer fails when it tries to create the new file system…
    I can successfully partition the drive with gparted without issue so am confused as to why mkfs fails?

    I have tried with and without LUKS.
    See log from my last attempt below, any help much appreciated:

    2015-10-05 09:52:17 [DEBUG] auto_partition.py(374) mkfs(): Will format device /dev/mapper/cryptAntergos as ext4
    2015-10-05 09:52:19 [ERROR] auto_partition.py(409) mkfs(): Can’t create filesystem ext4. Command [‘mkfs.ext4’, ‘-q’, ‘-F’, ‘-L’, ‘AntergosRoot’, ‘/dev/mapper/cryptAntergos’] failed: None
    2015-10-05 09:52:20 [ERROR] process.py(106) run(): “Can’t create filesystem ext4. Command [‘mkfs.ext4’, ‘-q’, ‘-F’, ‘-L’, ‘AntergosRoot’, ‘/dev/mapper/cryptAntergos’] failed: None”
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): Traceback (most recent call last):
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): File “/usr/share/cnchi/cnchi/installation/auto_partition.py”, line 406, in mkfs
    subprocess.check_call(command.split())
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): File “/usr/lib/python3.4/subprocess.py”, line 561, in check_call
    raise CalledProcessError(retcode, cmd)
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): subprocess.CalledProcessError: Command ‘[‘mkfs.ext4’, ‘-q’, ‘-F’, ‘-L’, ‘AntergosRoot’, ‘/dev/mapper/cryptAntergos’]’ returned non-zero exit status 1
    2015-10-05 09:52:20 [ERROR] process.py(110) run():
    During handling of the above exception, another exception occurred:
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): Traceback (most recent call last):
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): File “/usr/share/cnchi/cnchi/installation/process.py”, line 88, in run
    self.install_screen.run_format()
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): File “/usr/share/cnchi/cnchi/installation/automatic.py”, line 326, in run_format
    auto.run()
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): File “/usr/share/cnchi/cnchi/installation/auto_partition.py”, line 889, in run
    self.mkfs(devices[‘root’], fs_devices[devices[‘root’]], mount_points[‘root’], labels[‘root’])
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): File “/usr/share/cnchi/cnchi/installation/auto_partition.py”, line 411, in mkfs
    raise InstallError(txt)
    2015-10-05 09:52:20 [ERROR] process.py(110) run(): misc.misc.InstallError: “Can’t create filesystem ext4. Command [‘mkfs.ext4’, ‘-q’, ‘-F’, ‘-L’, ‘AntergosRoot’, ‘/dev/mapper/cryptAntergos’] failed: None”

  • Have you considered using gparted to create the partitions the way you want before running cnchi?

  • also, have you d/l the latest isos? Newer one work better, more fixes applied and such. I had d/l a few weeks ago, it was giving me trouble, re d/l’d the iso’s with bittorrent, used the minimal one and installed openbox without a hitch. Might be worth the effort?

installation288 ext47 mkfs1 autoinstaller1 cnchi 0.12.241 Posts 3Views 1413
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.